Service Facility

The service facility is the location a medical service was rendered, such as the provider office or hospital. For telehealth, the service facility can be the provider’s location when the service was delivered (e.g. home) or the location where the in-person visit would have taken place. The service facility address listed must match what was provided to the payer during the credentialing process.

The service facility model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the service facility.

  • Name
    object
    Type
    string
    Description

    Always 'service_facility'.

  • Name
    name
    Type
    string
    Description

    Name of service facility.

  • Name
    place_of_service
    Type
    string
    Description

    Place of service. The full list of place of service codes along with their definitions is here.

    Possible values:
    01
    02
    03
    04
    05
    06
    07
    08
    09
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    31
    32
    33
    34
    41
    42
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    60
    61
    62
    65
    71
    72
    81
    99
  • Name
    address
    Type
    object
    Description
    Address of the service facility.
  • Name
    npi
    Type
    string
    Description

    NPI of service facility.

  • Name
    phone
    Type
    string
    Description

    Phone number of service facility, in the format (XXX) XXX-XXXX.

  • Name
    fax
    Type
    string
    Description

    Fax number of service facility.

  • Name
    email
    Type
    string
    Description

    Email of service facility.

  • Name
    default
    Type
    boolean
    Description

    Whether this service facility should be set as the default service facility. By default, all insurance claims and superbills will be populated with the default service facility and can be changed as the user is completing the claim/superbill.

  • Name
    usable_by
    Type
    object
    Description
    Who can use this service facility.
  • Name
    created_by
    Type
    string
    Description

    Creator of the service facility.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the service facility was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the service facility was last updated.

Response

{
  "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
  "object": "service_facility",
  "name": "Avon — NYC Branch",
  "place_of_service": "11",
  "address": {
    "line1": "1 Wall Street",
    "line2": "",
    "city": "New York",
    "state": "NY",
    "postal_code": "10001",
    "country": "US"
  },
  "npi": "1234567893",
  "phone": "(212) 555-0100",
  "fax": "(212) 555-0101",
  "email": "billing@example.com",
  "default": true,
  "usable_by": {
    "usable_by_all": true
  },
  "created_by": "user_xeDpGyt67wTor93qKtS7",
  "created_at": "2024-04-10T13:20:21.724Z",
  "last_updated_at": "2024-04-10T13:20:21.724Z"
}


POST/v2/service_facilities

Create a service facility

Creates a new service facility.

Required attributes

  • Name
    name
    Type
    string
    Description

    Name of service facility.

  • Name
    address
    Type
    object
    Description
    Address of the service facility.

Optional attributes

  • Name
    place_of_service
    Type
    string
    Description

    Place of service code. The full list of place of service codes along with their definitions is here.

  • Name
    npi
    Type
    string
    Description

    NPI of service facility.

  • Name
    phone
    Type
    string
    Description

    Phone number of service facility, in the format (XXX) XXX-XXXX.

  • Name
    fax
    Type
    string
    Description

    Fax number of service facility.

  • Name
    email
    Type
    string
    Description

    Email of service facility.

  • Name
    default
    Type
    boolean
    Description

    Whether this service facility should be set as the default service facility. Setting this to true clears the default flag on every other service facility.

  • Name
    usable_by
    Type
    object
    Description
    Who can use this service facility.

Request

POST
/v2/service_facilities
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/service_facilities" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}" \
  -H "Content-Type: application/json" \
  --data '{
    "name": "Example",
    "place_of_service": "11",
    "address": {
      "line1": "1 Wall Street",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "US"
    }
  }'

Response

    {
      "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
      "object": "service_facility",
      "name": "Example",
      "place_of_service": "11",
      "address": {
        "line1": "1 Wall Street",
        "line2": "",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US"
      },
      "npi": null,
      "phone": null,
      "fax": null,
      "email": null,
      "default": false,
      "usable_by": {
        "usable_by_all": true
      },
      "created_by": "user_xeDpGyt67wTor93qKtS7",
      "created_at": "2024-04-10T13:20:21.724Z",
      "last_updated_at": "2024-04-10T13:20:21.724Z"
    }

GET/v2/service_facilities/:id

Retrieve a service facility

Retrieves the specified service facility.

Request

GET
/v2/service_facilities/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/service_facilities/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}"

Response

    {
      "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
      "object": "service_facility",
      "name": "Avon — NYC Branch",
      "place_of_service": "11",
      "address": {
        "line1": "1 Wall Street",
        "line2": "",
        "city": "New York",
        "state": "NY",
        "postal_code": "10001",
        "country": "US"
      },
      "npi": "1234567893",
      "phone": "(212) 555-0100",
      "fax": "(212) 555-0101",
      "email": "billing@example.com",
      "default": true,
      "usable_by": {
        "usable_by_all": true
      },
      "created_by": "user_xeDpGyt67wTor93qKtS7",
      "created_at": "2024-04-10T13:20:21.724Z",
      "last_updated_at": "2024-04-10T13:20:21.724Z"
    }

POST/v2/service_facilities/:id

Update a service facility

Updates the specified service facility object by setting the values of the parameters passed. Any other parameters not provided will not be modified.

Required attributes

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Name of service facility.

    • Name
      place_of_service
      Type
      string
      Description

      Place of service code. The full list of place of service codes along with their definitions is here.

    • Name
      address
      Type
      object
      Description
      Address of the service facility.
    • Name
      npi
      Type
      string
      Description

      NPI of service facility.

    • Name
      phone
      Type
      string
      Description

      Phone number of service facility, in the format (XXX) XXX-XXXX.

    • Name
      fax
      Type
      string
      Description

      Fax number of service facility.

    • Name
      email
      Type
      string
      Description

      Email of service facility.

    • Name
      default
      Type
      boolean
      Description

      Whether this service facility should be set as the default service facility. Setting this to true clears the default flag on every other service facility.

    • Name
      usable_by
      Type
      object
      Description
      Who can use this service facility.

    Request

    POST
    /v2/service_facilities/:id
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/service_facilities/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
          "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
          "object": "service_facility",
          "name": "Avon — NYC Branch",
          "place_of_service": "11",
          "address": {
            "line1": "1 Wall Street",
            "line2": "",
            "city": "New York",
            "state": "NY",
            "postal_code": "10001",
            "country": "US"
          },
          "npi": "1234567893",
          "phone": "(212) 555-0100",
          "fax": "(212) 555-0101",
          "email": "billing@example.com",
          "default": true,
          "usable_by": {
            "usable_by_all": true
          },
          "created_by": "user_xeDpGyt67wTor93qKtS7",
          "created_at": "2024-04-10T13:20:21.724Z",
          "last_updated_at": "2024-04-10T13:20:21.724Z"
        }
    

    GET/v2/service_facilities

    List all service facilities

    Returns a list of all service facilities.

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Only return service facilities usable for this patient.

    • Name
      default
      Type
      boolean
      Description

      Only return the default service facility.

    • Name
      search
      Type
      string
      Description

      Free-text search on name and NPI.

    • Name
      limit
      Type
      number
      Description

      Maximum number of results to return.

    • Name
      offset
      Type
      number
      Description

      Number of results to skip.

    Request

    GET
    /v2/service_facilities
    curl "https://{{base_subdomain}}.avonhealth.com/v2/service_facilities" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}"
    

    Response

        {
          "object": "list",
          "data": [
            {
              "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
              "object": "service_facility",
              "name": "Avon — NYC Branch",
              "place_of_service": "11",
              "address": {
                "line1": "1 Wall Street",
                "line2": "",
                "city": "New York",
                "state": "NY",
                "postal_code": "10001",
                "country": "US"
              },
              "npi": "1234567893",
              "phone": "(212) 555-0100",
              "fax": "(212) 555-0101",
              "email": "billing@example.com",
              "default": true,
              "usable_by": {
                "usable_by_all": true
              },
              "created_by": "user_xeDpGyt67wTor93qKtS7",
              "created_at": "2024-04-10T13:20:21.724Z",
              "last_updated_at": "2024-04-10T13:20:21.724Z"
            },
          ]
        }
    

    DELETE/v2/service_facilities/:id

    Delete a service facility

    Deletes the specified service facility. Fails with a 409 if the service facility is still referenced by any insurance claim, invoice, superbill, requisition, or appointment.

    Required attributes

      Optional attributes

        Request

        DELETE
        /v2/service_facilities/:id
        curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/service_facilities/:id" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}"
        

        Response

            {
                "id": "sfac_tJFm1YU2tWDhpgUhXSZ5",
                "object": "service_facility",
                "deleted": true
            }